/*
* Basic Count Down to Date and Time
* Author: @mrwigster / trulycode.com
*/
(function (e) {
	e.fn.deal_countdown = function (t, n) {
		var thisEl = e(this);
		var r = {
			date: null,
			format: null };
		t && e.extend(r, t);
		i();
		var interval = setInterval(i, 1e3) 
		
		function i() {
			var eventDate = r.date, // in Unixtime
				currentDate = Math.floor(e.now() / 1e3),
				seconds = '',
				days = '',
				hours = '',
				minutes = '';
			
			if (eventDate <= currentDate) {
				if (e.isFunction(n)) {
					n.call(this);
				}
				clearInterval(interval); 
			}
			
			seconds = eventDate - currentDate,
			days = Math.floor(seconds / 86400);
			seconds -= days * 60 * 60 * 24;
			hours = Math.floor(seconds / 3600);
			seconds -= hours * 60 * 60;
			minutes = Math.floor(seconds / 60);
			seconds -= minutes * 60;
			days == 1 ? thisEl.find(".timeDays.Ref").text(text_tag) : thisEl.find(".timeDays.Ref").text(text_tage);
			if (days == 0) {
				/*thisEl.find(".timeDays.Ref").remove();*/
				thisEl.find(".timeDays.Ref").addClass('null');
			}
			hours == 1 ? thisEl.find(".timeHours.Ref").text(text_stunde) : thisEl.find(".timeHours.Ref").text(text_stunden);
			minutes == 1 ? thisEl.find(".timeMinutes.Ref").text(text_minute) : thisEl.find(".timeMinutes.Ref").text(text_minuten);
			seconds == 1 ? thisEl.find(".timeSeconds.Ref").text(text_sekunde) : thisEl.find(".timeSeconds.Ref").text(text_sekunden);
			if (r["format"] == "on") {
				/*if (days > 0) {*/
					days = String(days).length >= 2 ? days : "0" + days;
				/*}*/
				hours = String(hours).length >= 2 ? hours : "0" + hours;
				minutes = String(minutes).length >= 2 ? minutes : "0" + minutes;
				seconds = String(seconds).length >= 2 ? seconds : "0" + seconds;
			}
			
			if (!isNaN(eventDate)) {
				
				thisEl.find(".days").text(days);
				if (days == 0) {
					/*thisEl.find(".days").remove();*/
					thisEl.find(".days").addClass('null');
				}
				thisEl.find(".hours").text(hours);
				thisEl.find(".minutes").text(minutes);
				thisEl.find(".seconds").text(seconds) 
			} else {
				alert("Invalid date. Example: 30 Tuesday 2013 15:50:00");
				clearInterval(interval) 
			} 
		}
	}
})(jQuery);

function e() {
	var e = new Date;
	e.setDate(e.getDate() + 60);
	dd = e.getDate();
	mm = e.getMonth() + 1;
	y = e.getFullYear();
	futureFormattedDate = mm + "/" + dd + "/" + y;
	return futureFormattedDate 
}

function RestmengeBalken2(RestmengeProzent) {
	// console.log('RestmengeProzent: ' + RestmengeProzent);
	// console.log($( ".RestmengeBalken .balken" ).width() + ' - ' + $( ".RestmengeBalken .balken .menge" ).width());
	var BreiteBalken = $( ".RestmengeBalken .balken" ).width() * (RestmengeProzent/100),
		BreiteMenge = $( ".RestmengeBalken .balken .menge" ).width() + 10;
	
	console.log('balken: ' + BreiteBalken + '; menge: ' + BreiteMenge);
	if (BreiteMenge+10 > BreiteBalken) {
		$( ".RestmengeBalken .balken" ).delay( 800 ).animate({width: BreiteMenge + "px"}, 2500, 'swing', 
			function() {
				$( ".RestmengeBalken .menge" ).delay(300).animate({"right": "-=" + BreiteMenge + "px", "color":"#fff","font-weight":"bold"}, 2500, 'easeOutBounce', 
					function() {
						$( ".RestmengeBalken .balken" ).delay(200 ).animate({width: RestmengeProzent + "%"}, 2500, 'easeOutBounce');
					});
			});
	} else {
		$( ".RestmengeBalken .balken" ).delay( 800 ).animate({width: RestmengeProzent + "%"}, 2500, 'easeOutBounce')
	}
}